For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
    • Welcome
  • Quickstart
    • Sign up for an account
    • emnify Trial plan
    • Order and auto-register SIMs
    • Register SIMs
    • Create a device
    • Configure the APN
      • Android
      • iOS
      • Cellular modules
      • GPS trackers
      • Industrial routers
    • emnify REST API
    • Troubleshooting
  • Services
    • Support
LogoLogo
Request featuresContact support
On this page
  • Teltonika Networks
  • Teltonika WebUI
  • emnify Portal SMS console
  • emnify REST API
QuickstartConfigure the APN

Industrial routers

Was this page helpful?

Last updated August 9, 2023

Previous

GPS trackers

Next

emnify REST API

Built with

Teltonika Networks

Applies to RUT240, RUT950, RUT955, RUTX09, RUTX11, RUTX12, RUTX14, RUTXR1, RUT360

Newer firmware versions of the Teltonika Networks’ industrial cellular routers should automatically detect the emnify APN. If the APN isn’t correctly detected, you can configure it in three ways:

  • With the Teltonika WebUI over Wi-Fi or Ethernet
  • Through the emnify Portal SMS console (recommended)
  • Via SMS through the emnify REST API

Teltonika WebUI

1

Connect your PC through the router’s Wi-Fi using the credentials provided on the device.

2

Open the Teltonika WebUI http://192.168.1.1 and go to the Mobile Configuration.

3

Type in em in APN. Make sure to select the Auto checkbox.

There’s no PIN number configured on the SIM.

emnify Portal SMS console

First, turn on your router and ensure the device and emnify SIM card are activated. If you still need to do this, follow the Create device guide.

Then, follow these steps to set up the APN:

1

Log in to your emnify account.

2

Navigate to Connected Devices and find your Teltonika Networks router. Turning on the router for the first time after installing the SIM shows the status as Attached. The device can receive SMS at this point but only establish a data session if the APN is set up or detected.

3

Open the SMS console and send the following command:

cellular apn=em

See Teltonika’s SMS Commands reference for a comprehensive list of SMS commands, syntax, and usage.

emnify REST API

You can use the SMS calls in the emnify REST API to automate the device configuration.

Follow the getting started guide in the Developers documentation to learn how to authenticate and use the API.

To send SMS to a device, use POST /api/v1/endpoint/{endpoint_id}/sms with the following request body:

1{
2 "source_address": "123456789",
3 "payload": "cellular apn=em"
4}

Replace 123456789 with your chosen source address.